Bug 830417 - [abrt] python-2.7.3-6.fc17: lockInline: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: lockInline: Process /usr/bin/python2.7 was killed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:4eb9bc39f453635e8681e993a1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 08:01 EDT by Francois-Xavier GSELL
Modified: 2013-08-01 07:48 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (238.09 KB, text/plain)
2012-06-09 08:01 EDT, Francois-Xavier GSELL
no flags Details
File: maps (68.61 KB, text/plain)
2012-06-09 08:01 EDT, Francois-Xavier GSELL
no flags Details
File: dso_list (13.49 KB, text/plain)
2012-06-09 08:01 EDT, Francois-Xavier GSELL
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-06-09 08:01 EDT, Francois-Xavier GSELL
no flags Details

  None (edit)
Description Francois-Xavier GSELL 2012-06-09 08:01:25 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/weboob-config-qt
crash_function: lockInline
executable:     /usr/bin/python2.7
kernel:         3.4.0-1.fc17.x86_64
pid:            9071
pwd:            /home/fxgsell/Programming
time:           Sat 09 Jun 2012 01:56:19 PM CEST
uid:            1000
username:       fxgsell
var_log_messages: Jun  9 13:56:19 idefix abrt[9146]: Saved core dump of pid 9071 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-09-13:56:19-9071 (106881024 bytes)
xsession_errors: 

backtrace:      Text file, 243805 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 13813 bytes
maps:           Text file, 70259 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/fxgsell/2

core_backtrace:
:26684bcb047791e0142dc37216a3e7effad04ffb 0x7a604 - libQtCore.so.4 -
:26684bcb047791e0142dc37216a3e7effad04ffb 0x7b5f3 - libQtCore.so.4 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=idefix.kaprice.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/fxgsell/keyring-fhbz9n/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=14683786
:GNOME_KEYRING_CONTROL=/run/user/fxgsell/keyring-fhbz9n
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=fxgsell
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/fxgsell/keyring-fhbz9n/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1106,unix/unix:/tmp/.ICE-unix/1106
:USERNAME=fxgsell
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/fxgsell/Programming/codeworker:/home/fxgsell/.local/bin:/home/fxgsell/bin:/home/fxgsell/Programming/codeworker:/home/fxgsell/Programming/go/bin
:MAIL=/var/spool/mail/fxgsell
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/fxgsell/Programming
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1102
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/fxgsell
:XDG_SEAT=seat0
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=fxgsell
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Z0FTfIDXUn,guid=c97b938f0f11b8a9865951270000000f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/fxgsell
:DISPLAY=:0
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-fxgsell-Df4wPG/database
:_=/usr/bin/weboob-config-qt

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63008                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63008                63008                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:1:/dev/pts/1
:2:/dev/pts/1
:3:anon_inode:[eventfd]
:4:pipe:[1169378]
:5:pipe:[1169378]
:6:socket:[1169379]
:7:socket:[1169380]
:8:socket:[1169381]

smolt_data:
:
:
:General
:=================================
:UUID: d85b16fc-ed22-4aad-bd43-d10fdb95ae14
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4590.03
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 7897
:System Swap: 9951
:Vendor: Hewlett-Packard
:System: HP EliteBook 8460p A0001D02
:Form factor: Notebook
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(6523:9088:4156:5660) pci, firewire_ohci, FIREWIRE, IEEE 1394 Host Controller
:(32902:7247:4156:5660) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(6523:9105:4156:5660) pci, None, BASE, Standard SD Host Controller
:(32902:278:4156:5660) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(6523:9106:4156:5660) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:7198:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:7200:4156:5660) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:4156:5660) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7188:4156:5660) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(5348:18215:4156:5212) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(32902:7171:4156:5660) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4156:5660) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4156:5660) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4156:5660) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4156:5660) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4156:5660) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_idefix-lv_root / ext4 4096 4096 13092026 10349097 10218047 3276800 3014386 3014386
:/dev/sda1 /boot ext4 1024 1024 508745 399546 373946 128016 127655 127655
:/dev/mapper/vg_idefix-lv_home /home ext4 4096 4096 15446902 3416462 2642728 3874816 3789747 3789747
:
Comment 1 Francois-Xavier GSELL 2012-06-09 08:01:30 EDT
Created attachment 590589 [details]
File: backtrace
Comment 2 Francois-Xavier GSELL 2012-06-09 08:01:32 EDT
Created attachment 590590 [details]
File: maps
Comment 3 Francois-Xavier GSELL 2012-06-09 08:01:34 EDT
Created attachment 590591 [details]
File: dso_list
Comment 4 Francois-Xavier GSELL 2012-06-09 08:01:36 EDT
Created attachment 590592 [details]
File: build_ids
Comment 5 Thomas Spura 2012-06-09 16:11:56 EDT
This looks like a qt bug:
#0  lockInline (this=0x88) at ../../src/corelib/thread/qmutex.h:187
No locals.
#1  QMutexLocker (m=0x88, this=0x7f1be1ffae50) at ../../src/corelib/thread/qmutex.h:109
No locals.
#2  QThreadPrivate::finish (arg=arg@entry=0x2f20530) at thread/qthread_unix.cpp:319

But this also might be a misuse of weboob-config-qt, which I didn't found in Fedora and this might be WONTFIXed.

Reassigning to qt first.
Comment 6 Kevin Kofler 2012-06-09 17:28:47 EDT
this=0x88, m=0x88, that's not a valid mutex address, looks like NULL + some offset to me. That doesn't clearly tell the component at fault though.
Comment 7 Mikhail 2012-09-09 05:09:51 EDT
just close lmms

backtrace_rating: 4
Package: lmms-0.4.13-2.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Mikhail 2012-10-08 12:40:19 EDT
Close lmms

backtrace_rating: 4
Package: lmms-0.4.13-3.fc18
Architecture: i686
OS Release: Fedora release 18 (Spherical Cow)
Comment 9 Fedora End Of Life 2013-07-03 23:46:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 07:48:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.